summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--data/systemd/Makefile.am2
-rw-r--r--data/systemd/anaconda.service (renamed from data/systemd/loader.service)4
-rw-r--r--data/systemd/anaconda.target2
-rw-r--r--data/systemd/instperf.service2
-rwxr-xr-xscripts/restart-anaconda12
5 files changed, 9 insertions, 13 deletions
diff --git a/data/systemd/Makefile.am b/data/systemd/Makefile.am
index 37a5eb1fc..589854cfa 100644
--- a/data/systemd/Makefile.am
+++ b/data/systemd/Makefile.am
@@ -18,5 +18,5 @@
# Author: Chris Lumens <clumens@redhat.com>
systemddir = /lib/systemd/system
-dist_systemd_DATA = anaconda-shell@.service anaconda.target loader.service instperf.service
+dist_systemd_DATA = anaconda-shell@.service anaconda.target anaconda.service instperf.service
MAINTAINERCLEANFILES = Makefile.in
diff --git a/data/systemd/loader.service b/data/systemd/anaconda.service
index b6d9f4395..0bdb5c9b8 100644
--- a/data/systemd/loader.service
+++ b/data/systemd/anaconda.service
@@ -1,5 +1,5 @@
[Unit]
-Description=The anaconda loader
+Description=the anaconda installation program
Wants=instperf.service rsyslog.service udev-settle.service
After=instperf.service rsyslog.service udev-settle.service
@@ -7,6 +7,6 @@ After=instperf.service rsyslog.service udev-settle.service
Environment=HOME=/root MALLOC_CHECK_=2 MALLOC_PERTURB_=204 PATH=/usr/bin:/bin:/sbin:/usr/sbin:/mnt/sysimage/bin:/mnt/sysimage/usr/bin:/mnt/sysimage/usr/sbin:/mnt/sysimage/sbin PYTHONPATH=/tmp/updates TERM=linux
Type=oneshot
WorkingDirectory=/root
-ExecStart=/sbin/loader
+ExecStart=/usr/sbin/anaconda
StandardInput=tty-force
TimeoutSec=0
diff --git a/data/systemd/anaconda.target b/data/systemd/anaconda.target
index 844999e29..7796c89ea 100644
--- a/data/systemd/anaconda.target
+++ b/data/systemd/anaconda.target
@@ -4,4 +4,4 @@ Requires=basic.target
Conflicts=rescue.service rescue.target
After=basic.target rescue.service rescue.target
AllowIsolate=yes
-Wants=loader.service anaconda-shell@tty2.service anaconda-shell@hvc1.service
+Wants=anaconda.service anaconda-shell@tty2.service anaconda-shell@hvc1.service
diff --git a/data/systemd/instperf.service b/data/systemd/instperf.service
index 1e4430bae..df275ba68 100644
--- a/data/systemd/instperf.service
+++ b/data/systemd/instperf.service
@@ -1,7 +1,7 @@
[Unit]
ConditionKernelCommandLine=debug
Description=anaconda performance monitor
-Before=loader.service
+Before=anaconda.service
[Service]
WorkingDirectory=/
diff --git a/scripts/restart-anaconda b/scripts/restart-anaconda
index 645b88df9..5e654effb 100755
--- a/scripts/restart-anaconda
+++ b/scripts/restart-anaconda
@@ -19,11 +19,7 @@
# along with this program. If not, see <http://www.gnu.org/licenses/>.
#
-RESTART_FILE=/tmp/restart_anaconda
-
-# this is how loader knows it should restart stuff.
-# it will also delete the file once the restart is in progress.
-touch $RESTART_FILE
+rm -rf /tmp/updates || echo "Error removing /tmp/updates. Updates won't be re-downloaded." >&2
if [[ -f /var/run/iscsid.pid ]]; then
# iscsid must die else it will cause us troubles on the next run
@@ -31,8 +27,8 @@ if [[ -f /var/run/iscsid.pid ]]; then
/sbin/iscsiadm -m node --logoutall=all
fi
-# This will kill all programs in the loader group and restart the
+# This will kill all programs in the anaconda group and restart the
# service.
-systemctl stop loader.service
+systemctl stop anaconda.service
anaconda-cleanup
-systemctl start --no-block loader.service
+systemctl start --no-block anaconda.service